[Linux-PowerEdge] PowerEdge R900 BMC firmware missing in repo.

madmaxell madmaxell at gmail.com
Mon Jan 7 15:44:56 CST 2013


We are trying to switch over to using the

http://linux.dell.com/repo/hardware

repository to manage firmware (and OpenManage) across a few thousand
Dell PowerEdge systems.  I've noticed that the BMC firmware for the
PowerEdge R900s doesn't appear in the repository.  The latest is
listed as an Urgent update on support.dell.com.

 Dell BMC Firmware
Critical Security Update --Dell BMC Firmware, v.2.50, A00
Release Date:   11/20/2012
Importance:     Urgent
Version:        2.50, A00 See Previous Versions

I can download and apply this firmware as a standalone package
(R900_ESM_Firmware_TNK5X_LN32_2.50_A00.BIN).  I'm trying to
determine if this is an isolated situation, or if we are going to have
other firmwares that are just not managed in the repo.

root at xxxxxxxx:/root # yum -y install $(bootstrap_firmware)
...output removed...
root at xxxxxxxx:/root # inventory_firmware
Wait while we inventory system:
System inventory:
        System BIOS for PowerEdge R900 = 1.2.0
        NetXtreme II BCM5708 Gigabit Ethernet rev 12 (eth3) = 7.2.20
        NetXtreme II BCM5708 Gigabit Ethernet rev 12 (eth0) = 7.2.20
        MBD2147RC Firmware = d606
        NetXtreme II BCM5708 Gigabit Ethernet rev 12 (eth2) = 7.2.20
        NetXtreme II BCM5708 Gigabit Ethernet rev 12 (eth1) = 7.2.20
        BIOS = 1.2.0
        DRAC 5 Firmware = 1.65
        BMC = 2.27
        SAS/SATA Backplane 0:0 Backplane Firmware = 1.06
        PERC 6/i Integrated Controller 0 Firmware = 6.3.1-0003
root at xxxxxxxx:/root # update_firmware

Running system inventory...

Searching storage directory for available BIOS updates...
Checking System BIOS for PowerEdge R900 - 1.2.0
        Did not find a newer package to install that meets all
installation checks.
Checking NetXtreme II BCM5708 Gigabit Ethernet rev 12 (eth3) - 7.2.20
        Available:
pci_firmware(ven_0x14e4_dev_0x164c_subven_0x1028_subdev_0x01f0) -
7.2.20
        Did not find a newer package to install that meets all
installation checks.
Checking NetXtreme II BCM5708 Gigabit Ethernet rev 12 (eth0) - 7.2.20
        Available:
pci_firmware(ven_0x14e4_dev_0x164c_subven_0x1028_subdev_0x01f0) -
7.2.20
        Did not find a newer package to install that meets all
installation checks.
Checking MBD2147RC Firmware - d606
        Available: dell_dup_componentid_20513 - d80a
        Did not find a newer package to install that meets all
installation checks.
Checking NetXtreme II BCM5708 Gigabit Ethernet rev 12 (eth2) - 7.2.20
        Available:
pci_firmware(ven_0x14e4_dev_0x164c_subven_0x1028_subdev_0x01f0) -
7.2.20
        Did not find a newer package to install that meets all
installation checks.
Checking NetXtreme II BCM5708 Gigabit Ethernet rev 12 (eth1) - 7.2.20
        Available:
pci_firmware(ven_0x14e4_dev_0x164c_subven_0x1028_subdev_0x01f0) -
7.2.20
        Did not find a newer package to install that meets all
installation checks.
Checking BIOS - 1.2.0
        Available: dell_dup_componentid_00159 - 1.2.0
        Did not find a newer package to install that meets all
installation checks.
Checking DRAC 5 Firmware - 1.65
        Available: dell_dup_componentid_08735 - 1.65
        Did not find a newer package to install that meets all
installation checks.
Checking BMC - 2.27
        Did not find a newer package to install that meets all
installation checks.
Checking SAS/SATA Backplane 0:0 Backplane Firmware - 1.06
        Available: dell_dup_componentid_11204 - 1.06
        Did not find a newer package to install that meets all
installation checks.
Checking PERC 6/i Integrated Controller 0 Firmware - 6.3.1-0003
        Available:
pci_firmware(ven_0x1000_dev_0x0060_subven_0x1028_subdev_0x1f0c) -
6.3.1-0003
        Did not find a newer package to install that meets all
installation checks.

This system does not appear to have any updates available.
No action necessary.



More information about the Linux-PowerEdge mailing list